Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.dispatchers
Class RequestURIBasedOperationDispatcher

    java.lang.Object
      org.apache.axis2.handlers.AbstractHandler
          org.apache.axis2.dispatchers.AbstractOperationDispatcher
              org.apache.axis2.dispatchers.RequestURIBasedOperationDispatcher

All Implemented Interfaces:
  Handler

    public class RequestURIBasedOperationDispatcher

extends AbstractOperationDispatcher

Dispatches the operation based on the information from the target endpoint URL.

Nested Class Summary

Nested classes/interfaces inherited from interface org.apache.axis2.engine.Handler
`Handler.InvocationResponse`

Field Summary
`static String` | `NAME`

Fields inherited from class org.apache.axis2.handlers.AbstractHandler
`handlerDesc`

Constructor Summary
`RequestURIBasedOperationDispatcher()`

Method Summary
`AxisOperation` | `findOperation(AxisService service, MessageContext messageContext)` Called by Axis Engine to find the operation.
`void` | `initDispatcher()`

Methods inherited from class org.apache.axis2.dispatchers.AbstractOperationDispatcher
`invoke`

Methods inherited from class org.apache.axis2.handlers.AbstractHandler
`cleanup, flowComplete, getHandlerDesc, getName, getParameter, init, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NAME

    public static final String NAME

See Also:
  Constant Field Values

Constructor Detail

### RequestURIBasedOperationDispatcher

    public RequestURIBasedOperationDispatcher()

Method Detail

### findOperation

    public AxisOperation findOperation(AxisService service,
                                       MessageContext messageContext)
                                throws AxisFault

  Description copied from class: `AbstractOperationDispatcher`
  Called by Axis Engine to find the operation.

  Specified by:
    `findOperation` in class `AbstractOperationDispatcher`
  Returns:
    Returns AxisOperation.
  Throws:
    `AxisFault`

### initDispatcher

    public void initDispatcher()

  Specified by:
    `initDispatcher` in class `AbstractOperationDispatcher`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.